## python-glanceclient 2.16.0

=== debian/changelog ===
python-glanceclient (1:2.16.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 22 Mar 2019 16:23:56 +0000

python-glanceclient (1:2.16.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 14:30:31 +0000

python-glanceclient (1:2.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 10:17:28 -0500

python-glanceclient (1:2.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Nov 2018 13:10:10 -0500

=== debian/control ===
Source: python-glanceclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-coverage (>= 4.0),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-keystoneauth1 (>= 3.6.2),
 python-mock (>= 2.0.0),
 python-mox3,
 python-openssl (>= 17.1.0),
 python-os-client-config (>= 1.28.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-prettytable (>= 0.7.1),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.2.0),
 python-six (>= 1.10.0),
 python-stestr (>= 2.0.0),
 python-tempest (>= 1:17.1.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-unittest2,
 python-warlock (>= 1.2.0),
 python-wrapt (>= 1.7.0),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-keystoneauth1 (>= 3.6.2),
 python3-mock (>= 2.0.0),
 python3-mox3,
 python3-openssl (>= 17.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-client-config (>= 1.28.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-prettytable (>= 0.7.1),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-warlock (>= 1.2.0),
 python3-wrapt (>= 1.7.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-glanceclient
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-glanceclient
Homepage: http://glance.openstack.org
Testsuite: autopkgtest-pkg-python

Package: python-glanceclient
Architecture: all
Depends:
 python-keystoneauth1 (>= 3.6.2),
 python-openssl (>= 17.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-prettytable (>= 0.7.1),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-warlock (>= 1.2.0),
 python-wrapt (>= 1.7.0),
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
Suggests:
 python-glanceclient-doc,
Description: Client library for Openstack glance server - Python 2.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This is a client for the Glance which uses the OpenStack Image API. There's a
 Python API (the "glanceclient" module), and a command-line script ("glance").
 .
 This package provides the Python 2.x module.

Package: python-glanceclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Client library for Openstack glance server - doc
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This is a client for the Glance which uses the OpenStack Image API. There's a
 Python API (the "glanceclient" module), and a command-line script ("glance").
 .
 This package provides the documentation and man page.

Package: python3-glanceclient
Architecture: all
Depends:
 python3-keystoneauth1 (>= 3.6.2),
 python3-openssl (>= 17.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-warlock (>= 1.2.0),
 python3-wrapt (>= 1.7.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-glanceclient-doc,
Description: Client library for Openstack glance server - Python 3.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This is a client for the Glance which uses the OpenStack Image API. There's a
 Python API (the "glanceclient" module), and a command-line script ("glance").
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build doc/man

override_dh_install:
	dh_install -O--buildsystem=python_distutils
	rm -rf $(CURDIR)/debian/python-glanceclient/usr/glanceclient

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_installman:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source doc/man
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-glanceclient-doc/usr/share/doc/python-glanceclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev:
override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons:
override_dh_perl override_dh_usrlocal:

## python-glanceclient 2.17.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-glanceclient (1:2.17.0-0ubuntu2) eoan; urgency=medium

  * d/tests/control: Update dependencies to use python3-glanceclient.

 -- James Page <james.page@ubuntu.com>  Tue, 01 Oct 2019 09:19:31 +0100

python-glanceclient (1:2.17.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:40:56 -0400

python-glanceclient (1:2.16.0-0ubuntu2) eoan; urgency=medium

  * Drop Python 2 support:
    - d/control: Drop python-glanceclient binary package.
    - d/control: Drop BDI's on python-*.
    - d/*.postinst,prerm,postrm: Drop, no longer needed for alternatives
      management.
    - d/rules: Skip install and test of Python 2 module.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Jul 2019 06:59:13 +0100

=== debian/control ===
--- 
+++ 
@@ -18,35 +18,14 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python-coverage (>= 4.0),
- python-fixtures (>= 3.0.0),
- python-hacking (>= 0.12.0),
- python-keystoneauth1 (>= 3.6.2),
- python-mock (>= 2.0.0),
- python-mox3,
- python-openssl (>= 17.1.0),
- python-os-client-config (>= 1.28.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.utils (>= 3.33.0),
- python-prettytable (>= 0.7.1),
- python-requests (>= 2.14.2),
- python-requests-mock (>= 1.2.0),
- python-six (>= 1.10.0),
- python-stestr (>= 2.0.0),
- python-tempest (>= 1:17.1.0),
- python-testscenarios (>= 0.4),
- python-testtools (>= 2.2.0),
- python-unittest2,
- python-warlock (>= 1.2.0),
- python-wrapt (>= 1.7.0),
  python3-coverage (>= 4.0),
  python3-fixtures (>= 3.0.0),
- python3-hacking (>= 0.12.0),
+ python3-hacking (>= 1.1.0),
  python3-keystoneauth1 (>= 3.6.2),
  python3-mock (>= 2.0.0),
  python3-mox3,
  python3-openssl (>= 17.1.0),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 1.20.0),
  python3-os-client-config (>= 1.28.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.utils (>= 3.33.0),
@@ -59,46 +38,17 @@
  python3-stestr (>= 2.0.0),
  python3-subunit,
  python3-tempest (>= 1:17.1.0),
+ python3-testrepository,
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
  python3-warlock (>= 1.2.0),
  python3-wrapt (>= 1.7.0),
  subunit,
- testrepository,
 Standards-Version: 4.1.2
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-glanceclient
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-glanceclient
 Homepage: http://glance.openstack.org
 Testsuite: autopkgtest-pkg-python
-
-Package: python-glanceclient
-Architecture: all
-Depends:
- python-keystoneauth1 (>= 3.6.2),
- python-openssl (>= 17.1.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.utils (>= 3.33.0),
- python-pbr (>= 2.0.0),
- python-prettytable (>= 0.7.1),
- python-requests (>= 2.14.2),
- python-six (>= 1.10.0),
- python-warlock (>= 1.2.0),
- python-wrapt (>= 1.7.0),
- ${misc:Depends},
- ${python:Depends},
- ${sphinxdoc:Depends},
-Suggests:
- python-glanceclient-doc,
-Description: Client library for Openstack glance server - Python 2.x
- The Glance project provides services for discovering, registering, and
- retrieving virtual machine images over the cloud. They may be stand-alone
- services, or may be used to deliver images from object stores, such as
- OpenStack's Swift service, to Nova's compute nodes.
- .
- This is a client for the Glance which uses the OpenStack Image API. There's a
- Python API (the "glanceclient" module), and a command-line script ("glance").
- .
- This package provides the Python 2.x module.
 
 Package: python-glanceclient-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
@@ -21,7 +21,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test
+	pkgos-dh_auto_test --no-py2
 endif
 
 override_dh_installman:

## python-glanceclient 3.1.1

=== debian/changelog ===
python-glanceclient (1:3.1.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Apr 2020 11:28:38 -0400

python-glanceclient (1:3.1.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Drop remaining py2 Build-Depends.
  * d/p/skip-tests-2.patch: Dropped. No longer needed.
  * d/rules: Switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 10:30:23 -0400

python-glanceclient (1:2.17.0-0ubuntu3) focal; urgency=medium

  * d/p/update-test-certificates.patch: Regenerate test certificates
    to use algorithms that are considered secure by modern OpenSSL
    versions resolving FTBFS (LP: #1870074).

 -- James Page <james.page@ubuntu.com>  Tue, 07 Apr 2020 13:48:07 +0100

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,6 @@
  debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,11 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=python-glanceclient
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_install:
 	pkgos-dh_auto_install --no-py2
@@ -12,11 +14,11 @@
 	dh_python3 --shebang=/usr/bin/python3
 
 override_dh_auto_clean:
-	dh_auto_clean -O--buildsystem=python_distutils
+	dh_auto_clean -O--buildsystem=pybuild
 	rm -rf .testrepository build doc/man
 
 override_dh_install:
-	dh_install -O--buildsystem=python_distutils
+	dh_install -O--buildsystem=pybuild
 	rm -rf $(CURDIR)/debian/python-glanceclient/usr/glanceclient
 
 override_dh_auto_test:
@@ -27,13 +29,13 @@
 override_dh_installman:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	sphinx-build -b man doc/source doc/man
-	dh_installman -O--buildsystem=python_distutils
+	dh_installman -O--buildsystem=pybuild
 endif
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	sphinx-build -b html doc/source $(CURDIR)/debian/python-glanceclient-doc/usr/share/doc/python-glanceclient-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc -O--buildsystem=pybuild
 endif
 
 # Commands not to run

## python-glanceclient 3.2.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
keystoneauth1>=3.6.2 # Apache-2.0
requests>=2.14.2 # Apache-2.0
warlock<2,>=1.2.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
wrapt>=1.7.0 # BSD License
pyOpenSSL>=17.1.0 # Apache-2.0

=== debian/changelog ===
python-glanceclient (1:3.2.2-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.
  * Refresh skip-tests-2.patch.
  * Removed fix-has-expired-tests.patch (it was not in use).

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 12:10:53 +0200

python-glanceclient (1:3.2.2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 22:14:38 +0200

python-glanceclient (1:3.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Aug 2020 10:35:16 +0200

python-glanceclient (1:3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:02:42 +0200

python-glanceclient (1:3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends after Buster is released.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Apr 2020 10:28:52 +0200

python-glanceclient (1:2.17.0-3) unstable; urgency=medium

  * Switched autopkgtest to Python 3 (Closes: #943224).

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 12:13:51 +0200

python-glanceclient (1:2.17.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:17:38 +0200

python-glanceclient (1:2.17.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 17:35:21 +0200

python-glanceclient (1:2.16.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 04:57:25 +0200

python-glanceclient (1:2.16.0-2) experimental; urgency=medium

  * Fix postinst not installing alternatives.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2019 12:22:12 +0100

python-glanceclient (1:2.16.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2019 11:49:17 +0100

=== debian/control ===
Source: python-glanceclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-ddt,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-openssl,
 python3-openstackdocstheme,
 python3-os-client-config,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-prettytable,
 python3-requests,
 python3-requests-mock,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-subunit,
 python3-tempest,
 python3-testscenarios,
 python3-testtools,
 python3-warlock,
 python3-wrapt,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-glanceclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-glanceclient.git
Homepage: http://glance.openstack.org

Package: python-glanceclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Client library for Openstack glance server - doc
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This is a client for the Glance which uses the OpenStack Image API. There's a
 Python API (the "glanceclient" module), and a command-line script ("glance").
 .
 This package provides the documentation and man page.

Package: python3-glanceclient
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-openssl,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-requests,
 python3-warlock,
 python3-wrapt,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-glanceclient-doc,
Description: Client library for Openstack glance server - Python 3.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This is a client for the Glance which uses the OpenStack Image API. There's a
 Python API (the "glanceclient" module), and a command-line script ("glance").
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf .stestr build doc/man

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_install:
	dh_install -O--buildsystem=python_distutils

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'glanceclient\.tests\.unit(?!(.*test_ssl\.TestHTTPSVerifyCert\.test_v2_requests_valid_cert_no_key.*|.*test_ssl\.TestHTTPSVerifyCert\.test_v2_requests_cert_verification_no_compression.*|.*test_ssl\.TestHTTPSVerifyCert\.test_v1_requests_cert_verification.*|.*test_ssl\.TestHTTPSVerifyCert\.test_v1_requests_cert_verification_no_compression.*|.*test_ssl\.TestHTTPSVerifyCert\.test_v2_requests_cert_verification.*|.*test_shell.ShellCacheSchemaTest\.test_cache_schemas_gets_when_forced.*|.*test_shell.ShellCacheSchemaTest\.test_cache_schemas_gets_when_not_exists.*))'
endif

override_dh_installman:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b man doc/source doc/man
	dh_installman
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-glanceclient-doc/usr/share/doc/python-glanceclient-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-glanceclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-glanceclient 3.3.0

=== debian/changelog ===
python-glanceclient (1:3.3.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 22 Mar 2021 22:08:26 +0000

python-glanceclient (1:3.3.0-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 10:09:01 -0400

python-glanceclient (1:3.2.2-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/p/update-test-certificates.patch: Dropped. Fixed in new upstream
    release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 15:25:01 -0400

python-glanceclient (1:3.2.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 07:46:53 +0000

python-glanceclient (1:3.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 24 Jul 2020 11:35:10 +0000

## python-glanceclient 3.5.0

=== debian/changelog ===
python-glanceclient (1:3.5.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 07 Sep 2021 20:18:22 +0000

python-glanceclient (1:3.5.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 14:51:26 -0400

python-glanceclient (1:3.4.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:36:30 -0400

## python-glanceclient 3.6.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-PrettyTable<0.8,>=0.7.1 # BSD
+PrettyTable>=0.7.1 # BSD
 keystoneauth1>=3.6.2 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
 warlock<2,>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-glanceclient (1:3.6.0-0ubuntu2) jammy; urgency=medium

  * d/p/lp2020139.patch: Bump the CHUNKSIZE to
    use CPU more efficiently (LP: #2020139).

 -- Rodrigo Barbieri <rodrigo.barbieri@canonical.com>  Mon, 19 May 2025 14:04:07 +0000

python-glanceclient (1:3.6.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 12:57:48 -0500

=== debian/control ===
--- 
+++ 
@@ -1,45 +1,51 @@
 Source: python-glanceclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Corey Bryant <corey.bryant@canonical.com>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 109~),
+ openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-coverage,
- python3-ddt,
- python3-fixtures,
- python3-hacking,
- python3-keystoneauth1,
- python3-openssl,
- python3-openstackdocstheme,
- python3-os-client-config,
- python3-oslo.i18n,
- python3-oslo.utils,
- python3-prettytable,
- python3-requests,
- python3-requests-mock,
- python3-sphinxcontrib.apidoc,
- python3-stestr,
+ python3-coverage (>= 4.0),
+ python3-ddt (>= 1.2.1),
+ python3-fixtures (>= 3.0.0),
+ python3-hacking (>= 1.1.0),
+ python3-keystoneauth1 (>= 3.6.2),
+ python3-mock (>= 2.0.0),
+ python3-mox3,
+ python3-openssl (>= 17.1.0),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-os-client-config (>= 1.28.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.utils (>= 3.33.0),
+ python3-prettytable (>= 0.7.1),
+ python3-reno (>= 2.11.2),
+ python3-requests (>= 2.14.2),
+ python3-requests-mock (>= 1.2.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-stestr (>= 2.0.0),
  python3-subunit,
- python3-tempest,
- python3-testscenarios,
- python3-testtools,
- python3-warlock,
- python3-wrapt,
+ python3-tempest (>= 1:17.1.0),
+ python3-testrepository,
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
+ python3-warlock (>= 1.2.0),
+ python3-wrapt (>= 1.7.0),
  subunit,
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-glanceclient
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-glanceclient.git
+Standards-Version: 4.1.2
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-glanceclient
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-glanceclient
 Homepage: http://glance.openstack.org
+Testsuite: autopkgtest-pkg-python
 
 Package: python-glanceclient-doc
 Section: doc
@@ -61,15 +67,16 @@
 Package: python3-glanceclient
 Architecture: all
 Depends:
- python3-keystoneauth1,
- python3-openssl,
- python3-oslo.i18n,
- python3-oslo.utils,
- python3-pbr,
- python3-prettytable,
- python3-requests,
- python3-warlock,
- python3-wrapt,
+ python3-keystoneauth1 (>= 3.6.2),
+ python3-openssl (>= 17.1.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.utils (>= 3.33.0),
+ python3-pbr (>= 2.0.0),
+ python3-prettytable (>= 0.7.1),
+ python3-requests (>= 2.14.2),
+ python3-six (>= 1.10.0),
+ python3-warlock (>= 1.2.0),
+ python3-wrapt (>= 1.7.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-glanceclient 4.1.0

=== debian/changelog ===
python-glanceclient (1:4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:13:06 +0200

python-glanceclient (1:4.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Sep 2022 10:20:46 +0200

python-glanceclient (1:3.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 10:28:54 +0100

python-glanceclient (1:3.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Add full autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Feb 2022 16:39:52 +0100

python-glanceclient (1:3.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:29:53 +0200

python-glanceclient (1:3.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Sep 2021 12:20:14 +0200

python-glanceclient (1:3.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 19:00:39 +0200

python-glanceclient (1:3.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove build-depends version for openstack-pkg-tools.
  * Bump standards-version to 4.5.1.
  * Bump debhelper to 11.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Mar 2021 12:29:43 +0100

## python-glanceclient 4.3.0

=== debian/changelog ===
python-glanceclient (1:4.3.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 23 Feb 2023 15:16:45 +0000

python-glanceclient (1:4.3.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 13:14:52 -0500

python-glanceclient (1:4.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jan 2023 15:24:23 -0500

python-glanceclient (1:4.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 17:51:21 -0400

python-glanceclient (1:4.0.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 12:48:37 -0400

python-glanceclient (1:4.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 13:59:48 -0400

## python-glanceclient 4.4.0

=== debian/changelog ===
python-glanceclient (1:4.4.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 11 Jul 2023 13:53:17 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Corey Bryant <corey.bryant@canonical.com>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -41,8 +41,7 @@
  python3-warlock (>= 1.2.0),
  python3-wrapt (>= 1.7.0),
  subunit,
-Standards-Version: 4.1.2
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-glanceclient
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-glanceclient
 Homepage: http://glance.openstack.org
 Testsuite: autopkgtest-pkg-python

## python-glanceclient 4.7.0

=== debian/changelog ===
python-glanceclient (1:4.7.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090508).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:41:30 +0100

python-glanceclient (1:4.7.0-3) unstable; urgency=medium

  * d/watch: use mode=git.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Nov 2024 14:28:52 +0100

python-glanceclient (1:4.7.0-2) unstable; urgency=medium

  * Removed /usr/bin/cinder alternative removal in {pre,post}rm.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 09:52:35 +0200

python-glanceclient (1:4.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed patches applied upstream:
    - Tests-Fix-original_only-wrapper.patch
    - Python3.12-do-not-use-ssl.wrap_socket.patch

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Aug 2024 09:55:23 +0200

python-glanceclient (1:4.5.0-4) unstable; urgency=medium

  * Blacklist .*test_shell\.ShellTestRequests.*. See bug filled upstream:
    https://bugs.launchpad.net/python-glanceclient/+bug/2074131 as this looks
    like an issue in requests-mock (Closes: #1076910).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jul 2024 03:57:14 +0200

python-glanceclient (1:4.5.0-3) unstable; urgency=medium

  * Add Python3.12-do-not-use-ssl.wrap_socket.patch (Closes: #1073444).
  * Add Fix_bytes-related_test_failures_with_urllib-3.patch.
  * Add Tests-Fix-original_only-wrapper.patch.
  * Blacklist TestHTTPSVerifyCert\.test_v2_requests_valid_cert_verification.*.

 -- Thomas Goirand <zigo@debian.org>  Tue, 18 Jun 2024 11:53:10 +0200

python-glanceclient (1:4.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:14:30 +0200

python-glanceclient (1:4.5.0-1) experimental; urgency=medium

  * New upsteram release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 18:39:55 +0100

python-glanceclient (1:4.4.0-3) unstable; urgency=medium

  * Also apply unit test blacklist in autopkgtest (Closes: #1061441).

 -- Thomas Goirand <zigo@debian.org>  Sun, 04 Feb 2024 13:16:13 +0100

python-glanceclient (1:4.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 14:46:01 +0200

python-glanceclient (1:4.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans even better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 12:30:09 +0200

python-glanceclient (1:4.3.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045198).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 10:14:46 +0200

python-glanceclient (1:4.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 12:08:22 +0200

python-glanceclient (1:4.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 14:02:07 +0100

## python-glanceclient 4.8.0

=== debian/changelog ===
python-glanceclient (1:4.8.0-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Fri, 28 Mar 2025 09:54:25 +0000

python-glanceclient (1:4.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:52:16 +0100

python-glanceclient (1:4.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 10:58:41 +0100

## python-glanceclient 4.9.0

=== debian/changelog ===
python-glanceclient (1:4.9.0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * d/watch: Tracking Flamingo series releases.
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key. 
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/p/urllib3-compat.patch: Refresh.
  * d/p/py313-compat.patch: Refresh. 

 -- Myles Penner <myles.penner@canonical.com>  Tue, 15 Jul 2025 15:29:22 -0700

python-glanceclient (1:4.8.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/p/py313-compat.patch: Cherry pick fix for Python 3.13
    compatibility.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Mar 2025 09:33:39 +0000

python-glanceclient (1:4.7.0-0ubuntu1) oracular; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * d/rules: Drop overrides.
  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.
  * d/p/urllib3-compat.patch: Cherry pick fix for compatibility with
    newer urllib versions.
  * d/rules,tests-exclude.txt: Skip SSL tests that fail due to use of
    invalid test certificates.

 -- James Page <james.page@ubuntu.com>  Fri, 27 Sep 2024 09:51:56 +0100

## python-glanceclient 4.10.0

=== requirements.txt ===
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PrettyTable>=0.7.1 # BSD
keystoneauth1>=3.6.2 # Apache-2.0
requests>=2.14.2 # Apache-2.0
warlock>=1.2.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
wrapt>=1.7.0 # BSD License
pyOpenSSL>=17.1.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-glanceclient (1:4.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 22:11:46 +0200

python-glanceclient (1:4.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Aug 2025 19:28:07 +0200

=== debian/control ===
Source: python-glanceclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-ddt,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-openssl,
 python3-openstackdocstheme,
 python3-os-client-config,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-prettytable,
 python3-requests,
 python3-requests-mock,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-subunit,
 python3-tempest,
 python3-testscenarios,
 python3-testtools,
 python3-warlock,
 python3-wrapt,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-glanceclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-glanceclient.git
Homepage: http://glance.openstack.org

Package: python-glanceclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Client library for Openstack glance server - doc
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This is a client for the Glance which uses the OpenStack Image API. There's a
 Python API (the "glanceclient" module), and a command-line script ("glance").
 .
 This package provides the documentation and man page.

Package: python3-glanceclient
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-openssl,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-requests,
 python3-warlock,
 python3-wrapt,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-glanceclient-doc,
Description: Client library for Openstack glance server - Python 3.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This is a client for the Glance which uses the OpenStack Image API. There's a
 Python API (the "glanceclient" module), and a command-line script ("glance").
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf .stestr build doc/man *.egg-info
	rm -rf doc/source/reference/api
	find .  -type d -name __pycache__ -exec rm -r {} \+

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_install:
	dh_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# test_ssl\.TestHTTPSVerifyCert\.test_v2_requests_valid_cert_verification.*
	# See https://bugs.launchpad.net/python-glanceclient/+bug/2072451
	# glanceclient\.tests\.unit\.test_shell\.ShellTestRequests.*
	# See https://bugs.launchpad.net/python-glanceclient/+bug/2074131
	pkgos-dh_auto_test --no-py2 'glanceclient\.tests\.unit(?!(.*test_ssl\.TestHTTPSVerifyCert\.test_v2_requests_valid_cert_no_key.*|.*test_ssl\.TestHTTPSVerifyCert\.test_v2_requests_cert_verification_no_compression.*|.*test_ssl\.TestHTTPSVerifyCert\.test_v1_requests_cert_verification.*|.*test_ssl\.TestHTTPSVerifyCert\.test_v1_requests_cert_verification_no_compression.*|.*test_ssl\.TestHTTPSVerifyCert\.test_v2_requests_cert_verification.*|.*test_shell.ShellCacheSchemaTest\.test_cache_schemas_gets_when_forced.*|.*test_shell.ShellCacheSchemaTest\.test_cache_schemas_gets_when_not_exists.*|\.test_ssl\.TestHTTPSVerifyCert\.test_v2_requests_valid_cert_verification.*|.*test_shell\.ShellTestRequests.*))'
endif

override_dh_installman:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b man doc/source doc/man
	dh_installman
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-glanceclient-doc/usr/share/doc/python-glanceclient-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-glanceclient refs/tags/(\d[brc\d\.]+)

## python-glanceclient 4.11.0

=== debian/changelog ===
python-glanceclient (1:4.11.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 18:10:21 +0100

python-glanceclient (1:4.10.0-3) unstable; urgency=medium

  * Clean-up .pybuild folder (Closes: #1045198).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2026 23:19:55 +0100
